/******************************************************************************/
/*
                                  other.h
*/
/******************************************************************************/

#ifndef INCLUDE_OTHER_H
#define INCLUDE_OTHER_H

/* number of bytes to increment memory allocation */
#define PRINTMEM_INCR 2048

typedef struct STRUCT_PRINT_MEM
{
   int  size,
        length;
   char  *buffer;
} PRINT_MEM;

int ErrorExit (int, char*, int);
char* EscapeForJavaScript (char*);
char* EscapeForQuotes (char*);
char* FileSpecSearch (int, char*, char*);
char* GetPlatformDescription ();
char* LocalRfcBinDate (unsigned long*);
int GetVmsVersion ();
char* SysGetMsg (int);
void OpcomMessage (char*, ...);
int PrintFao (char*, int, char*, ...);
int PrintMem (PRINT_MEM*, char*, ...);
int ReadFileIntoMemory (char*, char**, int*);
char* SoyCgiVar (char*);
char* SoyCgiVarNull (char*);
char* SoyMailPageTitle (REQUEST_DATA*);
void SoyMailJavaScriptStuff (REQUEST_DATA*);
void SoyMailLogo (REQUEST_DATA*);
void SoyMailStyleStuff (REQUEST_DATA*, char*);
char* SoyMailTempFileName ();
char* StackTrace (char*, int);
void StatTimer (BOOL);
void StatusInfoPanel (REQUEST_DATA*);
void StatusMessage (char*, int, int, char*, ...);
BOOL strsame (char*, char*, int);
int strzcpy (char*, char*, int);
char* TrnLnm (char*, char*, int);
int WatchThis (char*, ...);
int WatchDump (char*, int);

#endif /* INCLUDE_OTHER_H */

/******************************************************************************/

